import type { Circle, Polygon } from 'leaflet';
export type InternalLayer = InternalCircle | InternalPolygon;
type InternalCircle = {
    field: string;
    lat: number;
    lng: number;
    radius: number;
    type: 'circle';
};
type InternalPolygon = {
    field: string;
    coordinates: [number, number][][];
    type: 'polygon';
};
export declare const generateGeoQuery: (allLayers: Record<string, InternalLayer>) => {
    [x: string]: {
        $geoWithin: {
            $geometry: {
                type: string;
                coordinates: [number, number][][];
            };
        };
    };
} | {
    [x: string]: {
        $geoWithin: {
            $centerSphere: (number | number[])[];
        };
    };
} | {
    $or: ({
        [x: string]: {
            $geoWithin: {
                $geometry: {
                    type: string;
                    coordinates: [number, number][][];
                };
            };
        };
    } | {
        [x: string]: {
            $geoWithin: {
                $centerSphere: (number | number[])[];
            };
        };
    } | undefined)[];
} | undefined;
export declare const addLayer: (field: string, layer: Circle | Polygon, layers: Record<string, InternalLayer>) => Record<string, InternalLayer>;
export {};
//# sourceMappingURL=geo.d.ts.map